Package org.wso2.carbon.deployment.synchronizer.git.repository_creator

## Class GitBlitBasedRepositoryCreator

- java.lang.Object
- - org.wso2.carbon.deployment.synchronizer.git.repository_creator.GitBlitBasedRepositoryCreator

- All Implemented Interfaces:
    `org.wso2.carbon.deployment.synchronizer.RepositoryCreator`

      public class GitBlitBasedRepositoryCreator
      extends Object
      implements org.wso2.carbon.deployment.synchronizer.RepositoryCreator

  GitBlit based repository creator implementation

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GitBlitBasedRepositoryCreator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.wso2.carbon.deployment.synchronizer.RepositoryInformation` | `createRepository​(int tenantId, String baseUrl, String username, String password)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GitBlitBasedRepositoryCreator

          public GitBlitBasedRepositoryCreator()

  - ### Method Detail

    - #### createRepository

          public org.wso2.carbon.deployment.synchronizer.RepositoryInformation createRepository​(int tenantId,
                                                                                                String baseUrl,
                                                                                                String username,
                                                                                                String password)
                                                                                         throws org.wso2.carbon.deployment.synchronizer.DeploymentSynchronizerException

      Specified by:
        `createRepository` in interface `org.wso2.carbon.deployment.synchronizer.RepositoryCreator`
      Throws:
        `org.wso2.carbon.deployment.synchronizer.DeploymentSynchronizerException`